//****************************************************************************
// File: about.c
//
// Purpose : Called by DoCommands() to get About dialog box.
//
// Functions:
//    AboutDlg() - dialog function for about box
//
// Development Team:
//
//
// Written by Microsoft Developer Support
// Copyright (c) 1994 Microsoft Corporation. All rights reserved.
//****************************************************************************

#include <windows.h>
#include "about.h"

//****************************************************************************
// Function: AboutDlg
//
// Purpose: Called by DoCommands() to get About dialog box.
//
// Parameters:
//    hDlg    == Handle to this window.
//    message == Message to process.
//    wParam  == Depends on message
//    lParam  == Depends on message
//
// Returns: Depends on message.
//
// Comments:
//
// History:  Date       Author        Reason
//           6/08/94                  Created
//****************************************************************************

BOOL CALLBACK AboutDlg (HWND hDlg,
                        UINT message,
                        WPARAM wParam,
                        LPARAM lParam)
{
   switch (message)
   {
      case WM_INITDIALOG:
         return (TRUE);

      case WM_COMMAND:
         if ((wParam == IDOK) ||       // "OK" box selected?        
             (wParam == IDCANCEL))     // System menu close command?
         {
            EndDialog(hDlg, TRUE);     // Exits the dialog box 
            return (TRUE);
         }
         break;
   }

   return (FALSE); // Didn't process a message
}
