//****************************************************************************
// File: fontinst.c
//
// Purpose: Contains main message loop and application entry point
//
// Functions:
//    WinMain() - initializes everything and enters message loop
//
// Development Team:
//
//
// Written by Microsoft Windows Developer Support
// Copyright (c) 1994 Microsoft Corporation. All rights reserved.
//****************************************************************************

#include <windows.h>
#include "global.h"
#include "init.h"

// Local function prototypes.
int PASCAL WinMain (HINSTANCE, HINSTANCE, LPSTR, int);

//***********************************************************************
// Function: WinMain
//
// Purpose: Called by Windows on app startup.  Initializes everything,
//          and enters a message loop.
//
// Parameters:
//    hInstance     == Handle to _this_ instance.
//    hPrevInstance == Handle to last instance of app.
//    lpCmdLine     == Command Line passed into app.
//    nCmdShow      == How app should come up (i.e. minimized/normal)
//
// Returns: Return value from PostQuitMessage.
//
// Comments:
//
// History:  Date       Author        Reason
//           6/08/94                  Created
//****************************************************************************

int PASCAL WinMain (HINSTANCE hInstance,     // This instance
                    HINSTANCE hPrevInstance, // Last instance
                    LPSTR lpCmdLine,      // Command Line
                    int nCmdShow)         // Minimized or Normal?
{
   MSG msg;

   if (!hPrevInstance)
      if (!InitApplication(hInstance))
         return (FALSE);

   if (!InitInstance(hInstance, nCmdShow))
      return (FALSE);

   while (GetMessage(&msg,             // Put Message Here
                     NULL,             // Handle of window receiving msg
                     NULL,             // lowest message to examine
                     NULL))            // highest message to examine
   {
      TranslateMessage(&msg);          // Translates virtual key codes
      DispatchMessage(&msg);           // Dispatches message to window
   }

   return (msg.wParam);                // Returns the value from PostQuitMessage
}
